using System;
namespace Pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string input1 = Console.ReadLine();
            string[] inputsS = input1.Split();
            int N = int.Parse(inputsS[0]);
            int L = int.Parse(inputsS[1]);

            string input2 = Console.ReadLine();
            string[] inputs2S = input2.Split();
            int[] StalaktitiH = new int[N];
            for(int i = 0; i < N; i++)
            {
                StalaktitiH[i] = int.Parse(inputs2S[i]);
            }

            int output = -1;
            for(int i = 0;i < StalaktitiH.Length;i++)
            {
                if (StalaktitiH[i] <= L)
                {
                    output = i + 1;
                    break;
                }
            }
            Console.WriteLine(output);
        }
    }
}